summaryrefslogtreecommitdiff
path: root/tests/mv/to-symlink
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/to-symlink')
-rwxr-xr-xtests/mv/to-symlink63
1 files changed, 63 insertions, 0 deletions
diff --git a/tests/mv/to-symlink b/tests/mv/to-symlink
new file mode 100755
index 0000000..6473cfb
--- /dev/null
+++ b/tests/mv/to-symlink
@@ -0,0 +1,63 @@
+#!/bin/sh
+# Make sure that the copying code used in an inter-partition
+# move unlinks a destination symlink before opening it.
+
+# Copyright (C) 1999, 2000 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+. $srcdir/../other-fs-tmpdir
+. $srcdir/../envvar-check
+
+if test -z "$other_partition_tmpdir"; then
+ exit 77
+fi
+
+rem_file="$other_partition_tmpdir/file"
+rem_symlink="$other_partition_tmpdir/symlink"
+file=to-sym-$$
+
+fail=0
+
+trap 'rm -fr $file $other_partition_tmpdir; exit $fail' 0 1 2 3 15
+
+framework_failure=0
+rm -f $file || framework_failure=1
+echo local > $file || framework_failure=1
+echo remote > $rem_file || framework_failure=1
+ln -s $rem_file $rem_symlink || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+# This mv command should succeed, unlinking the symlink
+# before copying.
+mv $file $rem_symlink || fail=1
+
+# Make sure $file is gone.
+test -f $file && fail=1
+
+# Make sure $rem_file is unmodified.
+test `cat $rem_file` = remote || fail=1
+
+exit $fail